// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "ui/UILabel.hpp"
#include "ui/UIEmpty.hpp"
#include "poker/PokerPlayer.hpp"
#include "asset/assets/TrueTypeAsset.hpp"

namespace Dawn {
  class PokerPlayerDisplay : public UIEmpty {
    private:
      void onFontLoaded();

    protected:
      PokerPlayer *player = nullptr;
      UILabel labelName;
      UILabel labelChips;
      TrueTypeAsset *font;

      void updatePositions() override;

    public:
      PokerPlayerDisplay(UICanvas *canvas);

      void setPlayer(PokerPlayer *player);

      ~PokerPlayerDisplay();
  };
}